org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDTransformApplyFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDTransformApplyFunction

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>
  Enclosing class:
    ParameterizedBuiltinSPInstruction

      public static class ParameterizedBuiltinSPInstruction.RDDTransformApplyFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDDTransformApplyFunction(org.apache.spark.broadcast.Broadcast<MultiColumnEncoder> bencoder, org.apache.spark.broadcast.Broadcast<TfOffsetMap> omap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `scala.Tuple2<Long,FrameBlock>` | `call(scala.Tuple2<Long,FrameBlock> in)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDDTransformApplyFunction

          public RDDTransformApplyFunction(org.apache.spark.broadcast.Broadcast<MultiColumnEncoder> bencoder,
                                           org.apache.spark.broadcast.Broadcast<TfOffsetMap> omap)

  - ### Method Detail

    - #### call

          public scala.Tuple2<Long,FrameBlock> call(scala.Tuple2<Long,FrameBlock> in)
                                             throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.